From 524ee60e862402fac4fae8f6324daaf3f92710db Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Tue, 23 Jun 2020 18:08:22 +0200
Subject: [PATCH 8/8] fixed extern c overreach

---
 libubuntu-app-launch/application-impl-base.cpp | 2 --
 libubuntu-app-launch/ubuntu-app-launch.cpp     | 7 ++++---
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/libubuntu-app-launch/application-impl-base.cpp b/libubuntu-app-launch/application-impl-base.cpp
index 9040bba..92359f8 100644
--- a/libubuntu-app-launch/application-impl-base.cpp
+++ b/libubuntu-app-launch/application-impl-base.cpp
@@ -30,9 +30,7 @@
 #include "registry-impl.h"
 #include "second-exec-core.h"
 
-extern "C" {
 #include "ubuntu-app-launch-trace.h"
-}
 
 namespace ubuntu
 {
diff --git a/libubuntu-app-launch/ubuntu-app-launch.cpp b/libubuntu-app-launch/ubuntu-app-launch.cpp
index 4a26919..5243963 100644
--- a/libubuntu-app-launch/ubuntu-app-launch.cpp
+++ b/libubuntu-app-launch/ubuntu-app-launch.cpp
@@ -17,7 +17,6 @@
  *     Ted Gould <ted.gould@canonical.com>
  */
 
-extern "C" {
 #include "ubuntu-app-launch.h"
 #include <upstart.h>
 #include <gio/gio.h>
@@ -30,9 +29,7 @@ extern "C" {
 #include "ubuntu-app-launch-trace.h"
 #include "helpers.h"
 #include "ual-tracepoint.h"
-#include "recoverable-problem.h"
 #include "proxy-socket-demangler.h"
-}
 
 /* C++ Interface */
 #include "application.h"
@@ -40,6 +37,10 @@ extern "C" {
 #include "registry.h"
 #include "registry-impl.h"
 
+extern "C" {
+#include "recoverable-problem.h"
+}
+
 static void free_helper (gpointer value);
 int kill (pid_t pid, int signal) noexcept;
 static gchar * escape_dbus_string (const gchar * input);
-- 
2.26.2

